s3games.player

## Class CameraPlayer

- java.lang.Object
- - s3games.player.Player
  - - s3games.player.CameraPlayer

-     public class CameraPlayer
      extends Player

  Camera player is utilizing the camera controller object to read the moves made by human on the real-world board

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class s3games.player.Player

      `Player.boardType, Player.playerType`

  - ### Field Summary

    - ### Fields inherited from class s3games.player.Player

      `maxNodes, number`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CameraPlayer(GameSpecification specs, Camera camera)` construct a new camera player

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isComputer()` camera is a human player, thus it must override this
    `Move` | `move(GameState state, java.util.ArrayList<Move> allowedMoves)` request the user to make a move, ask the camera to detect the visible objects and try to figure out what has been moved

    - ### Methods inherited from class s3games.player.Player

      `otherMoved, ratioTimeLeft, setMaximumNumberOfNodes, setMaxTime, setPlayerNumber, startMove, timeUsed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CameraPlayer

          public CameraPlayer(GameSpecification specs,
                      Camera camera)

      construct a new camera player

  - ### Method Detail

    - #### isComputer

          public boolean isComputer()

      camera is a human player, thus it must override this
      Overrides:
        `isComputer` in class `Player`

    - #### move

          public Move move(GameState state,
                  java.util.ArrayList<Move> allowedMoves)

      request the user to make a move, ask the camera to detect the visible objects and try to figure out what has been moved
      Specified by:
        `move` in class `Player`